=== debian/changelog ===
cgsi-gsoap (1.3.10-5) unstable; urgency=medium

  * Make libgsoap-dev dependency more strict
  * Move VCS to salsa.debian.org

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 23 Feb 2018 17:43:18 +0100

cgsi-gsoap (1.3.10-4) unstable; urgency=medium

  * The STACK macro was removed in globus-gsi-credential 7.13. Don't use.
    (Closes: 880831)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 06 Nov 2017 12:04:47 +0100

cgsi-gsoap (1.3.10-3) unstable; urgency=medium

  * Migrate to dbgsym package

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Thu, 13 Jul 2017 11:33:48 +0200

cgsi-gsoap (1.3.10-2) unstable; urgency=medium

  * Rebuild for OpenSSL 1.1.0 (Closes: #828264)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 26 Dec 2016 12:07:30 +0100

cgsi-gsoap (1.3.10-1) unstable; urgency=medium

  * Update to version 1.3.10
  * Change Maintainer e-mail (fysast → physics)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 26 Sep 2016 15:40:51 +0200
