=== debian/control ===
Source: cgsi-gsoap
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends: debhelper, autotools-dev, libglobus-gss-assist-dev, libglobus-gssapi-gsi-dev, libgsoap-dev, voms-dev, doxygen, pkg-config
Standards-Version: 4.1.3
Section: libs
Vcs-Browser: https://salsa.debian.org/ellert/cgsi-gsoap
Vcs-Git: https://salsa.debian.org/ellert/cgsi-gsoap.git
HomePage: https://gitlab.cern.ch/dmc/cgsi-gsoap

Package: libcgsi-gsoap1
Provides: cgsi-gsoap1
Replaces: cgsi-gsoap1 (<< 1.3.3.1-1)
Conflicts: cgsi-gsoap1 (<< 1.3.3.1-1)
Section: libs
Architecture: any
Multi-Arch: same
Depends: ${shlibs:Depends}, ${misc:Depends}, ${gsoap:Depends}
Description: GSI plugin for gSOAP
 This is a GSI plugin for gSOAP. It uses the globus GSI libraries to implement
 GSI secure authentication and encryption on top of gSOAP.

Package: libcgsi-gsoap-dev
Provides: cgsi-gsoap-dev
Replaces: cgsi-gsoap-dev (<< 1.3.3.1-1)
Conflicts: cgsi-gsoap-dev (<< 1.3.3.1-1)
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libcgsi-gsoap1 (= ${binary:Version}), ${misc:Depends}, ${gsoap:Depends}
Description: GSI plugin for gSOAP - development files
 This package provides the header files for programming with the cgsi-gsoap
 plugins.
