## cgsi-gsoap 1.3.11

=== CMakeLists.txt ===
--- 
+++ 
@@ -22,7 +22,7 @@
 set(OUTPUT_NAME_DAVIX "cgsi-gsoap")
 set(VERSION_MAJOR 1)
 set(VERSION_MINOR 3)
-set(VERSION_PATCH 10)
+set(VERSION_PATCH 11)
 set(VERSION_STRING ${VERSION_MAJOR}.${VERSION_MINOR}.${VERSION_PATCH})
