=== debian/changelog ===
cgsi-gsoap (1.3.11-5) unstable; urgency=medium

  * Restore gsoap library dependency lost during package rename

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Wed, 20 Mar 2024 06:59:33 +0100

cgsi-gsoap (1.3.11-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062052

 -- Steve Langasek <vorlon@debian.org>  Wed, 28 Feb 2024 15:27:22 +0000

cgsi-gsoap (1.3.11-4) unstable; urgency=medium

  * Re-upload source only

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Mon, 29 Jan 2024 23:27:43 +0100

cgsi-gsoap (1.3.11-3) unstable; urgency=medium

  * Split out doxygen generated documentation to a documation package
    - This avoids multi-arch file conflicts in the dev package
  * Update lintian overrides
  * Fix man page typos reported by lintian

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 26 Jan 2024 21:32:05 +0100

cgsi-gsoap (1.3.11-2) unstable; urgency=medium

  * Convert debian/rules to dh tool
  * Change to debhelper compat level 13
  * Drop ancient Provides/Replaces/Conflicts
  * Clean up the makefile (send merge request upstream)
  * Fix FTCBFS (Closes: #978125)
    - Use architecture aware $(PKG_CONFIG) instead of pkg-config
    - Use dh_auto_build instead of $(MAKE)
    - Use CXX instead of CPP as the makefile variable for the C++ compiler

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Fri, 01 Jan 2021 12:44:32 +0100

cgsi-gsoap (1.3.11-1) unstable; urgency=medium

  * Update to version 1.3.11
  * Drop CGSI-gSOAP-gsi-credential.patch accepted upstream

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Tue, 12 Jun 2018 09:40:13 +0200
