=== debian/control ===
Source: cgsi-gsoap
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@physics.uu.se>
Build-Depends:
 debhelper-compat (= 13),
 dpkg-dev (>= 1.22.5),
 libglobus-gss-assist-dev,
 libglobus-gssapi-gsi-dev,
 libgsoap-dev,
 voms-dev,
 doxygen,
 pkgconf
Standards-Version: 4.6.2
Section: libs
Vcs-Browser: https://salsa.debian.org/ellert/cgsi-gsoap
Vcs-Git: https://salsa.debian.org/ellert/cgsi-gsoap.git
Homepage: https://dmc-docs.web.cern.ch/dmc-docs/cgsi-gsoap.html

Package: libcgsi-gsoap1t64
Provides: ${t64:Provides}
Replaces: libcgsi-gsoap1
Breaks: libcgsi-gsoap1 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
 ${gsoap:Depends}
Description: GSI plugin for gSOAP
 This is a GSI plugin for gSOAP. It uses the globus GSI libraries to implement
 GSI secure authentication and encryption on top of gSOAP.

Package: libcgsi-gsoap-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 libcgsi-gsoap1t64 (= ${binary:Version}),
 ${misc:Depends},
 ${gsoap:Depends}
Suggests:
 libcgsi-gsoap-doc (= ${source:Version})
Description: GSI plugin for gSOAP - development files
 This package provides the header files for programming with the cgsi-gsoap
 plugins.

Package: libcgsi-gsoap-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Replaces:
 libcgsi-gsoap-dev (<< 1.3.11-3~)
Breaks:
 libcgsi-gsoap-dev (<< 1.3.11-3~)
Depends:
 ${misc:Depends}
Description: GSI plugin for gSOAP - documentation files
 This package provides the documentation for programming with the cgsi-gsoap
 plugins.
