=== debian/changelog ===
cgsi-gsoap (1.3.12-1build1) plucky; urgency=medium

  * Rebuild against latest gsoap

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 08 Nov 2024 12:29:22 -0500

cgsi-gsoap (1.3.12-1) unstable; urgency=medium

  * Update to version 1.3.12
  * Drop patches (accepted upstream)

 -- Mattias Ellert <mattias.ellert@physics.uu.se>  Sun, 04 Aug 2024 18:16:26 +0200
