=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,8 @@
 
 override_dh_auto_install:
 	dh_auto_install -- USE_VOMS=yes WITH_CPP_LIBS=yes \
+		CFLAGS="$(CFLAGS) $(CPPFLAGS) -fPIC -I. `$(PKG_CONFIG) --cflags gsoap`" \
+		SHLIBLDFLAGS="$(LDFLAGS) -shared" \
 		LIBDIR=lib/$(DEB_HOST_MULTIARCH) \
 		DOCDIR=share/doc/libcgsi-gsoap-dev \
 		install.man
